import numpy as np
import matplotlib.pyplot as plt
import scipy.stats

n = 100000
df1 = 3
ch2_1 = (scipy.stats.chi2.rvs(df1, size = n)) / df1
df2 = 5
ch2_2 = (scipy.stats.chi2.rvs(df2, size = n)) / df2
F_v = ch2_1 / ch2_2
F_range = np.arange(0.0, 20.0, 0.25)
F_p = np.arange(1.0e-300, 20.0, 0.1)
F_dv = scipy.stats.f.pdf(F_p, df1, df2)
plt.hist(F_v, bins = F_range, density = True)
plt.plot(F_p, F_dv, linewidth = 3)
plt.show()
