import numpy as np
import matplotlib.pyplot as plt
import scipy.stats

n = 10000
df = 5
z = scipy.stats.norm.rvs(size = (n, df))
z2 = z ** 2
chi5 = z2.sum(axis = 1)
max_x = chi5.max()
x2_values = np.arange(0.0, max_x, 0.1)
f_chi2_values = scipy.stats.chi2.pdf(x2_values, df)
plt.hist(chi5, bins = 30, density = True, label = 'sum 5 squares')
plt.plot(x2_values, f_chi2_values, linewidth = 3, label = 'df = 5')
plt.legend()
plt.show()
