import numpy as np
import matplotlib.pyplot as plt
import scipy.stats

n = 100000
z = scipy.stats.norm.rvs(size = n)

df = 3
ch2 = ((scipy.stats.chi2.rvs(df, size = n)) / df) ** 0.5

t_v = z / ch2

t_range = np.arange(-5, 5, 0.2)
t_dv = scipy.stats.t.pdf(t_range, df)

plt.hist(t_v, bins = t_range, density = True, label = 'z/$\chi$')
plt.plot(t_range, t_dv, linewidth = 3, label = 't')
plt.legend()
plt.show()
